import { IIconStyles, IPersonaCoinProps, IPersonaStyles, ITextStyles, Theme } from "@fluentui/react";
import { CustomTheme } from "../../appTheme";
export declare function getSignedInUserInfoStyle(theme: Theme & CustomTheme): Partial<IPersonaStyles>;
export declare function getVeriyAccountLinkStyle(theme: Theme & CustomTheme): Partial<IPersonaStyles>;
export declare function getVerifyAccountCoinStyle(theme: Theme & CustomTheme): Partial<IPersonaCoinProps>;
export declare function getUserInfoPrimaryTextStyle(theme: Theme & CustomTheme): ITextStyles;
export declare enum UserPersonaBadgeType {
    ReauthRequired = 0,
    SignedOut = 1
}
export declare function getPersonaBadgeIconStyle(theme: Theme & CustomTheme, badgeType: UserPersonaBadgeType): IIconStyles;
export declare function getSignedOutUserInfoStyle(theme: Theme & CustomTheme): Partial<IPersonaStyles>;
